Mail archive
alpine-aports

[alpine-aports] [PATCH 9/9] testing/xpra: update to 0.16.3

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sun, 24 Apr 2016 23:23:09 +0000

Also added:

opencl support
tests subpkg

It should now be possible to run X applications in docker / lxc:

https://xpra.org/trac/wiki/Usage/Docker
---
 testing/xpra/APKBUILD                     | 35 +++++++++++++++++++++++--------
 testing/xpra/fix-xdummy-musl-detect.patch | 19 +++++++++++++++++
 2 files changed, 45 insertions(+), 9 deletions(-)
 create mode 100644 testing/xpra/fix-xdummy-musl-detect.patch
diff --git a/testing/xpra/APKBUILD b/testing/xpra/APKBUILD
index da16e5a..30e3ee7 100644
--- a/testing/xpra/APKBUILD
+++ b/testing/xpra/APKBUILD
_at_@ -7,12 +7,16 @@ pkgdesc="Xpra is 'screen for X' & allows you to run X programs, usually on a rem
 url="http://xpra.org"
 arch="all"
 license="GPLv2+"
-depends="py-gobject py-gtk py-imaging xf86-video-dummy xvfb setxkbmap xorg-server"
-depends_dev="python-dev cython-dev libx11-dev libxtst-dev libxcomposite-dev libxdamage-dev libxrandr-dev
+depends="py-gobject py-gtk py-imaging xf86-video-dummy xvfb setxkbmap xorg-server py-numpy py-pillow py-gtkglext py-lz4 \
+	py-rencode py-opencl"
+# cython only depends until cython patch applies
+depends_dev="python-dev cython-dev cython libx11-dev libxtst-dev libxcomposite-dev libxdamage-dev libxrandr-dev
 		py-gobject-dev py-gtk-dev libxkbfile-dev gtk+2.0-dev x264-dev x265-dev libvpx-dev ffmpeg-dev libwebp-dev"
 makedepends="$depends_dev cython"
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://xpra.org/src/$pkgname-$pkgver.tar.xz"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tests"
+source="http://xpra.org/src/$pkgname-$pkgver.tar.xz
+	fix-xdummy-musl-detect.patch
+	"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
_at_@ -28,13 +32,17 @@ prepare() {
 build() {
         cd "$_builddir" # https://www.xpra.org/trac/ticket/1080
 	CFLAGS="$CFLAGS -fno-strict-aliasing"
-	# fixes lazy loading by xorg under musl http://xpra.org/trac/ticket/820
+	# dummy patch applied in http://xpra.org/trac/changeset/12475/xpra
+	# sed fix applied in http://xpra.org/trac/changeset/12471/xpra
 	sed -i setup.py \
                 -e '/GDK_BINDINGS_PACKAGES = PYGTK_PACKAGES/s/"xfixes"/"x11", "xext", "xfixes"/' \
                 -e 's/pkgconfig("xtst", "xfixes", "xcomposite", "xdamage", "xext")\
 			/pkgconfig("x11", "xtst", "xfixes", "xcomposite", "xdamage", "xext")/' \
                 -e 's/pkgconfig("xcomposite", "xdamage", "xext")/pkgconfig("x11", "xcomposite", "xdamage", "xext")/'
-	python setup.py build || return 1
+	python setup.py build \
+		--with-csc_opencl \
+		--with-bundle_tests \
+	|| return 1
 }
 
 package() {
_at_@ -42,6 +50,15 @@ package() {
         python setup.py install --prefix=/usr --root="$pkgdir" || return 1
 }
 
-md5sums="9f81ac22991083ee49e01f62ae113a56  xpra-0.16.3.tar.xz"
-sha256sums="1516ab10eb348092077ffb698bce234d06a234a5748e422fdf92f34922fb39ea  xpra-0.16.3.tar.xz"
-sha512sums="1a6bbd01837e702e98ffcaffe12a2e5320108ef50f0fcc64a80735fb53a2b41e4cdda0e0a2d1a3b5f2159a81da4a7c2cac458ab4c2eed4de17adb4e963218590  xpra-0.16.3.tar.xz"
+tests() {
+        cd "$_builddir"
+	mkdir -p "$subpkgdir"/usr/share/xpra
+	cp -rf tests "$subpkgdir"/usr/share/xpra/
+}
+
+md5sums="9f81ac22991083ee49e01f62ae113a56  xpra-0.16.3.tar.xz
+b19a1fd26e94be8db372c8555152218d  fix-xdummy-musl-detect.patch"
+sha256sums="1516ab10eb348092077ffb698bce234d06a234a5748e422fdf92f34922fb39ea  xpra-0.16.3.tar.xz
+eb88db7301a30441b710f38028f316f90e8cd3af213468d96a5d04d5c64a69ef  fix-xdummy-musl-detect.patch"
+sha512sums="1a6bbd01837e702e98ffcaffe12a2e5320108ef50f0fcc64a80735fb53a2b41e4cdda0e0a2d1a3b5f2159a81da4a7c2cac458ab4c2eed4de17adb4e963218590  xpra-0.16.3.tar.xz
+0ddc4a4359cc257a77445b4bc747bdb79ae8f049078c9dcb531fc41555e8d74842cf599edbd29a2f13bd977a20922df6ab4e51839dba7d4aae865897f2b872fc  fix-xdummy-musl-detect.patch"
diff --git a/testing/xpra/fix-xdummy-musl-detect.patch b/testing/xpra/fix-xdummy-musl-detect.patch
new file mode 100644
index 0000000..cacd7d0
--- /dev/null
+++ b/testing/xpra/fix-xdummy-musl-detect.patch
_at_@ -0,0 +1,19 @@
+--- xpra-0.16.3/scripts/xpra_Xdummy
++++ xpra-0.16.3/scripts/xpra_Xdummy.new
+_at_@ -30,8 +30,14 @@
+ 	fi
+ 
+ 	if [ ! -x "$LD_LINUX" ]; then
+-		LD_LINUX=''
+-		echo "could not determine ld path for $arch, please file an xpra bug"
++		# Musl C / Alpine Linux
++		ldmusl=$(ls /lib | grep ^ld-musl)
++		if [ -n "$ldmusl" ]; then
++			LD_LINUX="/lib/$ldmusl"
++		else
++			LD_LINUX=''
++			echo "could not determine ld path for $arch, please file an xpra bug"
++		fi
+ 	fi
+ }
+ 
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Apr 24 2016 - 23:23:09 GMT